For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList spaces
      • POSTCreate a space
      • GETGet a space
      • DELDelete a space
      • DELDelete spaces
      • PATCHUpdate a space
      • POSTArchives a space
      • POSTUnarchives a space
      • POSTCreate a new guidance
      • GETList guidances
      • GETGet a guidance
      • PATCHUpdate a guidance
      • DELDelete a guidance
      • POSTCreate a draft of a space
      • GETList drafts for a space
      • GETGet a draft
      • POSTMerge a draft
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceSpaces

Create a draft of a space

POST
https://api.x.flatfile.com/v1/spaces/:spaceId/drafts
POST
/v1/spaces/:spaceId/drafts
$curl -X POST https://api.x.flatfile.com/v1/spaces/spaceId/drafts \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "sourceSpaceId": "sourceSpaceId",
4 "draftSpaceId": "draftSpaceId",
5 "createdAt": "2024-01-15T09:30:00Z",
6 "updatedAt": "2024-01-15T09:30:00Z",
7 "mergedAt": "2024-01-15T09:30:00Z",
8 "deletedAt": "2024-01-15T09:30:00Z"
9 }
10}
Creates a draft of a space
Was this page helpful?
Previous

List drafts for a space

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

spaceIdstringRequired
ID of space to create draft of

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request Error
404
Not Found Error